
#include "MySlider.h"

BTSCenteredSlider::BTSCenteredSlider(BRect frame,const char *name,BMessage *msg,unsigned char initValue)
	:BScrollBar(frame,name,NULL,0,200,B_HORIZONTAL)
{
	fMsg = msg;
	fInitValue = initValue + 100;
	fTarget = NULL;
}

void 
BTSCenteredSlider::SetTarget(BLooper *target)
{
	fTarget = target;
}

void 
BTSCenteredSlider::ValueChanged(long newValue)
{
	BMessage	*nmsg;
	
	nmsg=new BMessage(fMsg->what);
	nmsg->AddLong("value",newValue-100);
	
	fTarget->PostMessage(nmsg);
}

void 
BTSCenteredSlider::AttachedToWindow(void)
{
	SetValue(fInitValue);
}
