/*
	
	VideoView.h
	
	Copyright 1995 Be Incorporated, All Rights Reserved.
	
*/

#ifndef VIDVIEW_H
#define VIDVIEW_H

#pragma once

#include <View.h>




class BTSVideoSource;
class ControlWindow;

class VideoView : public BView 
{
public:
				VideoView(BRect frame, char *name);
				~VideoView();
	
	virtual	void	AttachedToWindow();
	virtual	void	Draw(BRect updateRect);

			void	WaitForStop();
			
	BTSVideoSource*	VideoSource() { return fVideoSource;} ;
	
protected:
	BTSVideoSource	*fVideoSource;
	ControlWindow	*fControlWindow;
};

#endif
