/*
	vidwin.cpp
	
	Copyright 1997 Be Incorporated, All Rights Reserved.	
*/

#include <signal.h>

#include <Application.h>
#include "vidwin.h"
#include "vidview.h"

VideoWindow::VideoWindow(BRect frame)
				: BWindow(frame, "Video", B_TITLED_WINDOW, 0)
{
	// set up a rectangle and instantiate a new view
	// view rect should be same size as window rect but with left top at (0, 0)
	frame.OffsetTo(B_ORIGIN);
	fVideoView = new VideoView(frame, "VideoView");
	
	// add view to window
	AddChild(fVideoView);
}

bool 
VideoWindow::QuitRequested()
{
	//fVideoView->WaitForStop();
	
	be_app->PostMessage(B_QUIT_REQUESTED);
	
	return(TRUE);
}


